<?php

namespace Tests\Tuiguang\Http\Controllers;

use Modules\Tuiguang\Http\Controllers\RanseConfigController;
use PHPUnit\Framework\TestCase;
use Tests\UsedTestCase;

class RanseConfigControllerTest extends UsedTestCase
{

    public function testGetRanseDuration()
    {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('get','http://localhost/api/tuiguang/ranseConfig/getRanseDuration');
        $res->dump();
    }
    public function testsetRanseDuration()
    {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('post','http://localhost/api/tuiguang/ranseConfig/setRanseDuration', [
            'charge_user_duration' => 150,
            'no_charge_user_duration' => 50
        ]);
        $res->dump();
    }
}
